#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Example of a notebook with a javascript menu

# It is sometimes difficult to navigate through long notebooks. Regular ways to navigate in a HTML page are not available when the cursor is stuck in a cell. Here is a simple trick with two sections. Links remains at the same place anytime just by adding HTML in the notebook.
# 
# 
# <div style="position:absolute; top:10px; right:5px; width:100px; height:90px; margin:10px;">
# 
# [Section 1](#Section-1) -- [Section 2](#Section-2) -- [This is the end](#This-is-the-end.)
# 
# </div>
# 
# The code in the markdown cell looks like the following, it is a mix between HTML and markdown. The combination is not perfect but that works somehow. The outcome can be shown on the left.
<div style="position:absolute; top:10px; right:5px; width:100px; height:90px; margin:10px;">

[Section 1](#Section-1) -- [Section 2](#Section-2) -- [This is the end](#This-is-the-end.)

</div>
# This trick does not work very well with IPython 3+. So I created a simple function which automaticallt adds a menu to all sections within the notebook.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu(menu_id="main_menu")


# ### Section 1

# In[2]:


for i in range(0,30):
    # just making space
    print ("line",i)


# ### Section 2

# In[3]:


for i in range(0,30):
    # making space again
    print("line2",i)


# ### This is the end.

# We end up by using some functionalities from pyquickhelper.

# In[4]:


from jyquickhelper import set_notebook_name_theNotebook
set_notebook_name_theNotebook()


# In[5]:


theNotebook


# In[6]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# In[7]:





# In[8]: